Cant install apk on my phone



  • Hello everyone. I have the following troubles: I have made an application for android with Qt. I installed the sdk, jdk and ndk with the correct version, and I can run the application in the virtual device. However, when I select the release mode ad build the application, the file apk cant be installed in any of my devices. The error that appears is that: The application is not compatible with the device.

    I build the apk using the sdk 29 and 24 (I tried with both sdk). My device is a Samsung galaxy Tab S2 with android 7.0. This is my build apk configuration:

    d338571c-958c-4868-b522-38bc4cbe0ac9-image.png

    And this is my device configuration for android.
    908dd2a5-da75-461a-968d-0247527ca39d-image.png

    To get the app I build tha project in release mode and then I send the apk file in the folder android-build>build>outputs>apk>release.

    I have to make another step before being be able of install an apk file in an android device? What is the problem?

    Thanks for your help.



  • @Dooham It is solved. It was because I need to use the kit arm or arm64 depending on the version of your device. I was used the version x86 and that was the problem.


Log in to reply